Skip to main content
GET
Get vault

Authorizations

X-API-Key
string
header
required

Headers

API-Version
enum<string>
default:v1

API version (defaults to the latest supported version if omitted).

Available options:
v1

Path Parameters

id
string<uuid>
required

Vault ID

Response

Success

created_at
string<date-time>

ISO-8601 time when the vault was created.

Example:

"2026-05-16T10:30:00Z"

custody_type
string

Custody model governing the vault.

id
string

Unique identifier of the vault.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

name
string

Human-readable name of the vault.

Example:

"Treasury vault"

object
string

Object type discriminator; always "vault".

Example:

"vault"

status
string

Current status of the vault.

Example:

"active"

updated_at
string<date-time>

ISO-8601 time when the vault was last updated.

Example:

"2026-05-16T10:30:00Z"

vault_type
string

Type of the vault.

wallet_count
integer

Number of wallets contained in the vault.

Example:

3